[arch-commits] Commit in python-pkginfo/repos/community-any (PKGBUILD PKGBUILD)

Jelle van der Waa jelle at archlinux.org
Tue Dec 17 14:26:55 UTC 2019


    Date: Tuesday, December 17, 2019 @ 14:26:55
  Author: jelle
Revision: 537929

archrelease: copy trunk to community-any

Added:
  python-pkginfo/repos/community-any/PKGBUILD
    (from rev 537928, python-pkginfo/trunk/PKGBUILD)
Deleted:
  python-pkginfo/repos/community-any/PKGBUILD

----------+
 PKGBUILD |   86 +++++++++++++++++++++++--------------------------------------
 1 file changed, 33 insertions(+), 53 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2019-12-17 14:26:45 UTC (rev 537928)
+++ PKGBUILD	2019-12-17 14:26:55 UTC (rev 537929)
@@ -1,53 +0,0 @@
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-# Contributor: eolianoe <eolianoe At GoogleMAIL DoT com>
-# Contributor: Andrey Mikhaylenko <neithere at gmail dot com>
-
-pkgbase=python-pkginfo
-pkgname=(python-pkginfo python2-pkginfo)
-pkgver=1.5.0.1
-pkgrel=3
-pkgdesc='Query metadatdata from sdists / bdists / installed packages'
-arch=('any')
-url="https://pypi.python.org/pypi/pkginfo"
-license=('PSF')
-makedepends=("python-setuptools" "python2-setuptools")
-checkdepends=("python-nose" "python2-nose" "python-coverage" "python2-coverage")
-source=("https://pypi.io/packages/source/p/pkginfo/pkginfo-$pkgver.tar.gz")
-sha512sums=('319bb403970affd5a4222dfdb3d17738630d1350ea84e51ad1bebc6c8c72e0dcfd69a4eaf5e7bd156b8e605d806357922c05cc994dcafb01b7a33c617b2df447')
-
-prepare() {
-  cp -a pkginfo-$pkgver{,-py2}
-}
-
-build() {
-  cd "$srcdir"/pkginfo-$pkgver
-  python setup.py build
-
-  cd "$srcdir"/pkginfo-$pkgver-py2
-  python2 setup.py build
-}
-
-check() { (
-  cd "$srcdir"/pkginfo-$pkgver
-  PYTHONPATH="$PWD/build/lib:$PYTHONPATH" nosetests3
-
-  cd "$srcdir"/pkginfo-$pkgver-py2
-  PYTHONPATH="$PWD/build/lib:$PYTHONPATH" nosetests2
-  ) || warning "Tests failed"
-}
-
-package_python-pkginfo() {
-  depends=("python")
-
-  cd pkginfo-$pkgver
-  python setup.py install --root="$pkgdir" --optimize=1
-}
-
-package_python2-pkginfo() {
-  depends=("python2")
-
-  cd pkginfo-$pkgver-py2
-  python2 setup.py install --root="$pkgdir" --optimize=1
-
-  mv "$pkgdir/usr/bin/pkginfo"{,2}
-}

Copied: python-pkginfo/repos/community-any/PKGBUILD (from rev 537928, python-pkginfo/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2019-12-17 14:26:55 UTC (rev 537929)
@@ -0,0 +1,33 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: eolianoe <eolianoe At GoogleMAIL DoT com>
+# Contributor: Andrey Mikhaylenko <neithere at gmail dot com>
+
+pkgbase=python-pkginfo
+pkgname=(python-pkginfo)
+pkgver=1.5.0.1
+pkgrel=4
+pkgdesc='Query metadatdata from sdists / bdists / installed packages'
+arch=('any')
+url="https://pypi.python.org/pypi/pkginfo"
+license=('PSF')
+depends=("python")
+makedepends=("python-setuptools")
+checkdepends=("python-nose" "python-coverage")
+source=("https://pypi.io/packages/source/p/pkginfo/pkginfo-$pkgver.tar.gz")
+sha512sums=('319bb403970affd5a4222dfdb3d17738630d1350ea84e51ad1bebc6c8c72e0dcfd69a4eaf5e7bd156b8e605d806357922c05cc994dcafb01b7a33c617b2df447')
+
+build() {
+  cd "$srcdir"/pkginfo-$pkgver
+  python setup.py build
+}
+
+check() { (
+  cd "$srcdir"/pkginfo-$pkgver
+  PYTHONPATH="$PWD/build/lib:$PYTHONPATH" nosetests3
+  ) || warning "Tests failed"
+}
+
+package_python-pkginfo() {
+  cd pkginfo-$pkgver
+  python setup.py install --root="$pkgdir" --optimize=1
+}


More information about the arch-commits mailing list